﻿namespace SharpChat.Packet {
    public class ContextClearPacket : SockChatS2CPacket {
        public enum ClearMode {
            Messages = 0,
            Users = 1,
            Channels = 2,
            MessagesUsers = 3,
            MessagesUsersChannels = 4,
        }

        private readonly ClearMode Mode;

        public ContextClearPacket(ClearMode mode) {
            Mode = mode;
        }

        public override string Pack() {
            return string.Format("8\t{0}", (int)Mode);
        }
    }
}
