﻿namespace SharpChat.Packet {
    public class MessageDeletePacket : SockChatS2CPacket {
        private readonly long DeletedMessageId;

        public MessageDeletePacket(long deletedMessageId) {
            DeletedMessageId = deletedMessageId;
        }

        public override string Pack() {
            return string.Format("6\t{0}", DeletedMessageId);
        }
    }
}
