﻿namespace SharpChat.Packet {
    public class PardonResponsePacket : SockChatTimedS2CPacket {
        private readonly string Subject;

        public PardonResponsePacket(string subject) {
            Subject = subject;
        }

        public override string Pack() {
            return string.Format(
                "2\t{0}\t-1\t0\funban\f{1}\t{2}\t10010",
                TimeStamp.ToUnixTimeSeconds(),
                Subject,
                MessageId
            );
        }
    }
}
