﻿namespace SharpChat.Packet {
    public class UserChannelForceJoinPacket : SockChatS2CPacket {
        private readonly string ChannelName;

        public UserChannelForceJoinPacket(string channelName) {
            ChannelName = channelName;
        }

        public override string Pack() {
            return string.Format(
                "5\t2\t{0}",
                SockChatUtility.SanitiseChannelName(ChannelName)
            );
        }
    }
}
