﻿namespace SharpChat.Packet {
    public class UserChannelLeavePacket : SockChatS2CPacket {
        private readonly long UserId;

        public UserChannelLeavePacket(long userId) {
            UserId = userId;
        }

        public override string Pack() {
            return string.Format(
                "5\t1\t{0}\t{1}",
                UserId,
                MessageId
            );
        }
    }
}
