﻿namespace SharpChat.Packet {
    public class UserNameInUseErrorPacket : SockChatTimedS2CPacket {
        private readonly string UserName;

        public UserNameInUseErrorPacket(string userName) {
            UserName = userName;
        }

        public override string Pack() {
            return string.Format(
                "2\t{0}\t-1\t1\fnameinuse\f{1}\t{2}\t10010",
                TimeStamp.ToUnixTimeSeconds(),
                UserName,
                MessageId
            );
        }
    }
}
