﻿using System;

namespace SharpChat {
    public abstract class SockChatTimedS2CPacket : SockChatS2CPacket {
        protected readonly DateTimeOffset TimeStamp;

        public SockChatTimedS2CPacket() : base() {
            TimeStamp = DateTimeOffset.UtcNow;
        }

        public SockChatTimedS2CPacket(DateTimeOffset timeStamp) : base() {
            TimeStamp = timeStamp;
        }

        public SockChatTimedS2CPacket(long messageId, DateTimeOffset timeStamp) : base(messageId) {
            TimeStamp = timeStamp;
        }
    }
}
