﻿namespace SharpChat.Packet {
    public class CommandNotAllowedErrorPacket : SockChatTimedS2CPacket {
        private readonly string CommandName;

        public CommandNotAllowedErrorPacket(string commandName) {
            CommandName = commandName;
        }

        public override string Pack() {
            return string.Format(
                "2\t{0}\t-1\t1\fcmdna\f/{1}\t{2}\t10010",
                TimeStamp.ToUnixTimeSeconds(),
                CommandName,
                MessageId
            );
        }
    }
}
