﻿namespace SharpChat.Packet {
    public class KickBanNoRecordErrorPacket : SockChatTimedS2CPacket {
        private readonly string TargetName;

        public KickBanNoRecordErrorPacket(string targetName) {
            TargetName = targetName;
        }

        public override string Pack() {
            return string.Format(
                "2\t{0}\t-1\t1\fnotban\f{1}\t{2}\t10010",
                TimeStamp.ToUnixTimeSeconds(),
                TargetName,
                MessageId
            );
        }
    }
}
